> For the complete documentation index, see [llms.txt](https://docs.flashback.tech/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flashback.tech/support-reference/platform-api-reference/ai-apis/ai-api-keys/put__repo_-repoid-_ai_apikey.md).

# put\_\_repo\_{repoId}\_ai\_apikey\_{apikeyId}

{% hint style="info" %}
This API endpoint is currently available only in the TEST environment. It is not yet available in production.
{% endhint %}

`PUT /repo/{repoId}/ai/apikey/{apikeyId}`

*Update Repository AI API Key*

Update the properties of an existing AI API key. Currently, this endpoint allows updating the name of the API key for better organization and identification.

**Important Notes:**

* Only non-deleted keys can be updated
* Users must have access to the repository to update its API keys
* All fields in the request body are optional - only provide fields you want to update
* The actual key and secret values cannot be modified (rotate by creating a new key instead)
* System events are logged for audit purposes

**Security:**

* Access is validated against repository permissions
* Update operations trigger system events for audit trails
* Keys remain encrypted in storage

**Use Cases:**

* Rename keys for better organization
* Update key descriptions as usage changes
* Maintain clear labeling of production vs. development keys

#### TypeScript Client Library

```typescript
public updateRepoAiApiKey = async (
  repoId: string,
  apikeyId: string,
  data: UpdateRepoAiApiKeyRequest
): Promise<UpdateRepoAiApiKeyResponse> => {
  return this.makeRequest<UpdateRepoAiApiKeyResponse>(`repo/${repoId}/ai/apikey/${apikeyId}`, 'PUT', data);
};
```

#### Code Samples

{% tabs %}
{% tab title="Shell" %}

```shell
# You can also use wget
curl -X PUT https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId} \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'
```

{% endtab %}

{% tab title="HTTP" %}

```http
PUT https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId} HTTP/1.1
Host: backend.flashback.tech
Content-Type: application/json
Accept: application/json
```

{% endtab %}

{% tab title="JavaScript" %}

```javascript
const inputBody = '{
  "name": "Updated Production AI Key"
}';
const headers = {
  'Content-Type':'application/json',
  'Accept':'application/json',
  'Authorization':'Bearer {access-token}'
};

fetch('https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId}',
{
  method: 'PUT',
  body: inputBody,
  headers: headers
})
.then(function(res) {
    return res.json();
}).then(function(body) {
    console.log(body);
});
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'rest-client'
require 'json'

headers = {
  'Content-Type' => 'application/json',
  'Accept' => 'application/json',
  'Authorization' => 'Bearer {access-token}'
}

result = RestClient.put 'https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId}',
  params: {
  }, headers: headers

p JSON.parse(result)
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
headers = {
  'Content-Type': 'application/json',
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.put('https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId}', headers = headers)

print(r.json())
```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

require 'vendor/autoload.php';

$headers = array(
    'Content-Type' => 'application/json',
    'Accept' => 'application/json',
    'Authorization' => 'Bearer {access-token}',
);
```

{% endtab %}

{% tab title="Java" %}

```java
URL obj = new URL("https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId}");
HttpURLConnection con = (HttpURLConnection) obj.openConnection();
con.setRequestMethod("PUT");
int responseCode = con.getResponseCode();
BufferedReader in = new BufferedReader(
    new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuffer response = new StringBuffer();
while ((inputLine = in.readLine()) != null) {
    response.append(inputLine);
}
in.close();
System.out.println(response.toString());
```

{% endtab %}

{% tab title="Go" %}

```go
package main

import (
       "bytes"
       "net/http"
)

func main() {

    headers := map[string][]string{
        "Content-Type": []string{"application/json"},
        "Accept": []string{"application/json"},
        "Authorization": []string{"Bearer {access-token}"},
    }

    data := bytes.NewBuffer([]byte{jsonReq})
    req, err := http.NewRequest("PUT", "https://backend.flashback.tech/repo/{repoId}/ai/apikey/{apikeyId}", data)
    req.Header = headers

    client := &http.Client{}
    resp, err := client.Do(req)
    // ...
}
```

{% endtab %}
{% endtabs %}

> Body parameter

```json
{
  "name": "Updated Production AI Key"
}
```

#### Parameters <a href="#put__repo_-repoid-_ai_apikey-parameters" id="put__repo_-repoid-_ai_apikey-parameters"></a>

| Name     | In   | Type   | Required | Description                         |
| -------- | ---- | ------ | -------- | ----------------------------------- |
| repoId   | path | string | true     | Unique identifier of the repository |
| apikeyId | path | string | true     | Unique identifier of the API key    |
| body     | body | object | true     | Updated API key properties          |
| » name   | body | string | false    | Human-readable name for the API key |

> Example responses

> 200 Response

```json
{
  "success": true,
  "message": "AI API key updated successfully"
}
```

#### Responses <a href="#put__repo_-repoid-_ai_apikey-responses" id="put__repo_-repoid-_ai_apikey-responses"></a>

| Status | Meaning                                                                    | Description                  | Schema |
| ------ | -------------------------------------------------------------------------- | ---------------------------- | ------ |
| 200    | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1)                    | API key updated successfully | Inline |
| 403    | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3)             | Insufficient permissions     | Inline |
| 404    | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4)             | API key not found            | Inline |
| 500    | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Failed to update API key     | Inline |

#### Response Schema <a href="#put__repo_-repoid-_ai_apikey-responseschema" id="put__repo_-repoid-_ai_apikey-responseschema"></a>

Status Code **200**

| Name      | Type    | Required | Restrictions | Description              |
| --------- | ------- | -------- | ------------ | ------------------------ |
| » success | boolean | false    | none         | Operation success status |
| » message | string  | false    | none         | Success message          |

Status Code **403**

| Name      | Type    | Required | Restrictions | Description   |
| --------- | ------- | -------- | ------------ | ------------- |
| » success | boolean | false    | none         | none          |
| » message | string  | false    | none         | Error message |

Status Code **404**

| Name      | Type    | Required | Restrictions | Description   |
| --------- | ------- | -------- | ------------ | ------------- |
| » success | boolean | false    | none         | none          |
| » message | string  | false    | none         | Error message |

Status Code **500**

| Name      | Type    | Required | Restrictions | Description   |
| --------- | ------- | -------- | ------------ | ------------- |
| » success | boolean | false    | none         | none          |
| » message | string  | false    | none         | Error message |

To perform this operation, you must be authenticated by means of one of the following methods: BearerAuth


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flashback.tech/support-reference/platform-api-reference/ai-apis/ai-api-keys/put__repo_-repoid-_ai_apikey.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
